/* TConfig.h
 *
 * read/write/default setting for pWarp/pWarpConfig
 */
 

#ifndef __TCONFIG_H
#define __TCONFIG_H

#define T_CURRENT_VERSION 3
 
#include "TPreferences.h"
#include <OS.h>

class TConfig {
public:
	TConfig(bool find=true);
	~TConfig();
	
	status_t InitCheck();

	int32 Treshold();
	int32 DefaultTreshold();
	void SetTreshold(int32);
	
	bool Enabled();
	bool DefaultEnabled();
	void SetEnabled(bool);
	
	bool PopupEnabled();
	bool DefaultPopupEnabled();
	void SetPopupEnabled(bool);

	BRect Frame();
	BRect DefaultFrame();
	void SetFrame(BRect);
		
	int32 WorkspaceSize();
	int32 DefaultWorkspaceSize();
	void SetWorkspaceSize(int32);
		
private:
	TPreferences *prefs;
	status_t status;
	port_id config_port;
};

#endif // __TCONFIG_H